MCP Tools Reference: bigtableadmin.googleapis.com

Tool: delete_logical_view

Deletes a Bigtable logical view within a specified instance. The request requires the name field to be set in the format 'projects/{project}/instances/{instance}/logicalViews/{logical_view}'. Example: { "name": "projects/my-project/instances/my-instance/logicalViews/my-logical-view" } Before executing the deletion, you MUST confirm the action with the user by stating the full logical view name and asking for "yes/no" confirmation.

The following sample demonstrate how to use curl to invoke the delete_logical_view MCP tool.

Curl Request
                  
curl --location 'https://bigtableadmin.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_logical_view",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for BigtableInstanceAdmin.DeleteLogicalView.

DeleteLogicalViewRequest

JSON representation
{
  "name": string,
  "etag": string
}
Fields
name

string

Required. The unique name of the logical view to be deleted. Format: projects/{project}/instances/{instance}/logicalViews/{logical_view}.

etag

string

Optional. The current etag of the logical view. If an etag is provided and does not match the current etag of the logical view, deletion will be blocked and an ABORTED error will be returned.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ✅